Error::__clone
AssertionError
Predefined Exceptions
PHP Manual

# ArithmeticError

(PHP 7)

## Introduction

ArithmeticError is thrown when an error occurs while performing mathematical operations. In PHP 7.0, these errors include attempting to perform a bitshift by a negative amount, and any call to intdiv() that would result in a value outside the possible bounds of an integer.

## Class synopsis

ArithmeticError extends Error {
/* Inherited methods */
abstract public string Throwable::getMessage ( void )
abstract public int Throwable::getCode ( void )
abstract public string Throwable::getFile ( void )
abstract public int Throwable::getLine ( void )
abstract public array Throwable::getTrace ( void )
abstract public string Throwable::getTraceAsString ( void )
abstract public Throwable Throwable::getPrevious ( void )
abstract public string Throwable::__toString ( void )
}

Error::__clone
AssertionError
Predefined Exceptions
PHP Manual